<ART ID="00419" PID="0607" JID="197" BPAGE="1221" EPAGE="1233" PII="S0219887809004193" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2009">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD></ARTHEAD>
<FRONT>
<T-GRP>
<MTI>CONSTRAINT ALGORITHM FOR EXTREMALS IN OPTIMAL CONTROL PROBLEMS</MTI>
<RTI>Algorithm for Extremals in OCP</RTI>
</T-GRP>
<A-GRP>
<AUT>
<FNM>MAR&#x00CD;A</FNM>
<SNM>BARBERO-LI&#x00D1;&#x00C1;N</SNM>
<EAD>barbero@iecn.u-nancy.fr</EAD>
<X-REF REFID="S0219887809004193FN001"></X-REF>
<X-REF REFID="S0219887809004193AF001"></X-REF>
</AUT>
<FTN ID="S0219887809004193FN001">
<P>The author is now with Department of Mathematics and statistics, Queen's University, Kingston, ON, Canada.</P></FTN>
<AUT>
<FNM>MIGUEL C.</FNM>
<SNM>MU&#x00D1;OZ-LECANDA</SNM>
<EAD>matmcml@ma4.upc.edu</EAD>
<X-REF REFID="S0219887809004193AF002"></X-REF>
</AUT>
<AFF ID="S0219887809004193AF001">INRIA (Projet CORIDA) and Institut &#x00C9;lie Cartan de Nancy, Universit&#x00E9; Nancy 1, BP 239, Vand&#x0153;uvre-l&#x00E8;s-Nancy, 54506, <CNY>France</CNY></AFF>
<AFF ID="S0219887809004193AF002">Departamento de Matem&#x00E1;tica Aplicada IV, Edificio C-3, Campus Norte UPC. C/Jordi Girona 1. E-08034 Barcelona, <CNY>Spain</CNY></AFF>
</A-GRP>
<HIST>
<RE>12 May 2009</RE>
<AC>3 July 2009</AC>
</HIST>
<ABST>
<P>A geometric method is described to characterize the different kinds of extremals in optimal control theory. This comes from the use of a presymplectic constraint algorithm starting from the necessary conditions given by Pontryagin's Maximum Principle. The algorithm must be run twice so as to obtain suitable sets that once projected must be compared. Apart from the design of this general algorithm useful for any optimal control problem, it is shown how to classify the set of extremals and, in particular, how to characterize the strict abnormality. An example of strict abnormal extremal for a particular control-affine system is also given.</P>
</ABST>
<KWDG>
<KWD>Pontryagin's Maximum Principle</KWD>
<KWD>optimal control problems</KWD>
<KWD>abnormal and strict abnormal extremals</KWD>
<KWD>presymplectic</KWD>
</KWDG>
<KWDG CLASS="AMSC">
<KWD>34A26</KWD>
<KWD>49J15</KWD>
<KWD>49K15</KWD>
<KWD>70G45</KWD>
<KWD>70H05</KWD>
<KWD>70H45</KWD>
</KWDG>
</FRONT>
</ART>
