<ART ID="00417" PID="0607" JID="197" BPAGE="1193" EPAGE="1205" PII="S021988780900417X" ARTSUBTY="STD" PDF="1" VER="1.0">
<COPYRIGHT TYPE="FULL" YR="2009">World Scientific Publishing Company</COPYRIGHT>
<ARTHEAD></ARTHEAD>
<FRONT>
<T-GRP>
<MTI>THE RELATIVE ENERGY OF HOMOGENEOUS AND ISOTROPIC UNIVERSES FROM VARIATIONAL PRINCIPLES</MTI>
<RTI>Relative Energy of Homogeneous and Isotropic Universes</RTI>
<INFO>This paper is published despite the effects of the Italian law 133/08. This law drastically reduces public funds to public Italian universities, which is particularly dangerous for scientific free research, and it will prevent young researchers from getting a position, either temporary or tenured, in Italy. The authors are protesting against this law to obtain its cancelation. See <INT-REF LOCATOR="http://groups.google.it/group/scienceaction"></INT-REF>.</INFO>
</T-GRP>
<A-GRP>
<AUT>
<FNM>ENRICO</FNM>
<SNM>BIBBONA</SNM>
<EAD>enrico.bibbona@unito.it</EAD>
<X-REF REFID="S021988780900417XAF001"></X-REF>
</AUT>
<AUT>
<FNM>LORENZO</FNM>
<SNM>FATIBENE</SNM>
<EAD>lorenzo.fatibene@unito.it</EAD>
<X-REF REFID="S021988780900417XAF002"></X-REF>
</AUT>
<AUT>
<FNM>MAURO</FNM>
<SNM>FRANCAVIGLIA</SNM>
<EAD>mauro.francaviglia@unito.it</EAD>
<X-REF REFID="S021988780900417XAF003"></X-REF>
</AUT>
<AFF ID="S021988780900417XAF001">Department of Mathematics, University of Torino, Via Carlo Alberto 10, 10123 Torino, <CNY>Italy</CNY></AFF>
<AFF ID="S021988780900417XAF002">INFN, Sezione di Torino, Iniziativa Specifica NA12, <CNY>Italy</CNY></AFF>
<AFF ID="S021988780900417XAF003">LCS, Universit&#x00E0; della Calabria, <CNY>Italy</CNY></AFF>
</A-GRP>
<HIST>
<RE>22 April 2009</RE>
<AC>3 July 2009</AC>
</HIST>
<ABST>
<P>We calculate the relative conserved currents, superpotentials and conserved quantities between two homogeneous and isotropic universes. In particular, we prove that their relative "energy" (defined as the conserved quantity associated to cosmic time coordinate translations for a comoving observer) is vanishing and so are the other conserved quantities related to a Lie subalgebra of vector fields isomorphic to the Poincar&#x00E9; algebra. These quantities are also conserved in time. We also find a relative conserved quantity for such a kind of solution which is conserved in time though non-vanishing. This example provides at least two insights in the theory of conserved quantities in General Relativity. First, the contribution of the cosmological matter fluid to the conserved quantities is carefully studied and proved to be vanishing. Second, we explicitly show that our superpotential (that happens to coincide with the so-called KBL potential although it is generated differently) provides strong conservation laws under much weaker hypotheses than the ones usually required. In particular, the symmetry generator is not needed to be Killing (nor Killing of the background, nor asymptotically Killing), the prescription is quasi-local and it works fine in a finite region too and no matching condition on the boundary is required.</P>
</ABST>
<KWDG>
<KWD>Covariant conserved quantities</KWD>
<KWD>Noether Theorem</KWD>
<KWD>energy</KWD>
<KWD>isotropic cosmological models</KWD>
<KWD>Friedman&#x2013;Lemaitre&#x2013;Robertson&#x2013;Walker universes</KWD>
</KWDG>
</FRONT>
</ART>
